package com.lightinit.hsdatashow.service.topic.water;

import com.lightinit.hsdatashow.entity.Region;
import com.lightinit.hsdatashow.entity.StWaterConsumer;
import com.lightinit.hsdatashow.model.topic.water.NameAndValueModel;
import com.lightinit.hsdatashow.model.topic.water.ThreeYearsModel;
import com.lightinit.hsdatashow.model.topic.water.WaterSupplyModel;
import com.lightinit.hsdatashow.model.topic.water.YearMonthDayModel;

import java.util.List;

public interface IWholeCityWaterService {
    List<NameAndValueModel> getWaterConsumer( String regionName);

    YearMonthDayModel getTotalDay(String type, String regionName);

    YearMonthDayModel getTotalMonth(String type, String regionName);

    YearMonthDayModel getTotalYear(String type, String regionName);

    YearMonthDayModel getYesterday(String regionName);

    YearMonthDayModel getLastMonth( String regionName);

    YearMonthDayModel getMonth(String regionName);

    YearMonthDayModel getYear(String regionName);

    Long getJianCeZhanCount( String regionName);

    WaterSupplyModel getLiNianGongShui( String regionName);

    ThreeYearsModel getDiXiaShuiShenAVG( String regionName);

    List<Region> getRegion();
}
